/*
 * @(#)Ray.java    Pzt 10 May 2010 14:32:03 EEST
 *
 * Ray 3d for 3d world
 */
/*
*** This program wrote under GNU/General Public License ***

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
*/
package net.dilmerkezi.ray;

//custom
import net.dilmerkezi.point.*;


/**
 * @author Murat iNAN, dilmerkezi.net/eng.html
 */
public interface Ray
{

    /**
     * @param d The value for using in computacion of at time
     * @return At time 3D point
     */
    public Point3D atTime (double d);

    /** @return Origin 3D point*/
    public Point3D getOriginPoint3D ();
    
    /** @return Direction 3D point*/
    public Point3D getDirectionPoint3D ();
    
}
/****************/
